export class DateUtil {
  static formatISO(date: Date): string {
    return date.toISOString();
  }

  static isExpired(expiresAt: Date): boolean {
    return new Date() > expiresAt;
  }

  static addMinutes(date: Date, minutes: number): Date {
    return new Date(date.getTime() + minutes * 60000);
  }

  static addHours(date: Date, hours: number): Date {
    return new Date(date.getTime() + hours * 3600000);
  }
}
